#!/bin/bash

Docker_container_id=1
CPU=`cat /proc/cpuinfo | grep processor | wc -l`

DIR=$1          # 外层传递的参数 $1:$任务id,
DOCKER_IMAGES=$2  #  $2:docker 镜像名
KERNEL_TYPE=$3  #  $3：编译后的内核源码方式:image,deb,rpm
COMPILE_CODE_PATH=$4  # task_id任务文件夹目录
COMPILE_CODE=$5 # $4内核源码存储目录，文件夹名“compile”


function docker_compile_kernel() {
    echo "[docker  info-----]enter docker container to compile.............!!" >> $COMPILE_CODE_PATH/$COMPILE_CODE/compile.log 2>&1
    Docker_container_id=`cat /etc/hostname`
    
    cd $COMPILE_CODE_PATH/$COMPILE_CODE
    cat /etc/hostname > container_id.info

    echo $Docker_container_id >> docker_compile.log 2>&1
    echo "[docker  info-----]---kernel type is :$KERNEL_TYPE "  >> compile.log 2>&1
    if [[ $KERNEL_TYPE = image ]];then
      which distcc
      if [[ $? -eq 0 ]];then
        service distcc start
        if [[ $? -eq 0 ]];then
          echo "[docker  info-----]---use docker distcc to  compile image--- "  >> compile.log 2>&1
          sed -i "s/CONFIG_RETPOLINE=y/CONFIG_RETPOLINE=n/g" .config
          echo "[docker  info-----]---change CONFIG_REPOLINE=n------" >> compile.log 2>&1
          make -j$CPU CC=distcc > compile.log 2>&1
          make modules -j$CPU CC=distcc >> docker_compile.log 2>&1
          if [[ $? -eq 0 ]];then
            echo "[docker  info-----]docker distcc compile image success...."  >> compile.log 2>&1
            return 0
          else
            echo "[docker  info-----]docker distcc compile image fail!!!"  >> compile.log 2>&1
            exit -1
          fi

        fi
      else
        echo "[docker  info-----]use docker locallhost to image  compile--- "  >> compile.log 2>&1
        make -j$CPU > compile.log 2>&1
        make modules  >> docker_compile.log 2>&1
        if [[ $? -ne 0 ]];then
          echo "[docker  info-----]docker localhost compile image fail !!" >> compile.log 2>&1
          exit -1
        fi

      fi
    elif [[ $KERNEL_TYPE = deb ]];then
      make mrproper && fakeroot debian/rules clean && dpkg-buildpackage -uc -us -b -d > compile.log 2>&1
      if [[ $? -ne 0 ]];then
        echo "[docker  info-----]docker  compile deb fail !!" >> compile.log 2>&1
        exit -1
      else
        echo "[docker  info-----]docker  compile deb seccess !!" >> compile.log 2>&1
        return 0
      fi
    elif [[ $KERNEL_TYPE = rpm ]];then
      ./scripts/buildrpm.sh --full > compile.log 2>&1
      grep "building kernel failed" compile.log
      if [[ $? -eq 0 ]];then
        echo "[docker  info-----]docker  compile rpm fail !!" >> compile.log 2>&1
        exit -1      # 搜索到failed，编译失败
      else
        echo "[docker  info-----]docker  compile rpm success !!" >> compile.log 2>&1
        return 0      # 搜索不到，编译成功
      fi
      
    fi

}

docker_compile_kernel
